Subject: Re: [PATCH] Revert "smc91x: retrieve IRQ and trigger flags in a modern way"

From: Robert Jarzmik <[email-masked]>
Date: Fri, 13 Feb 2015 17:06:49 +0100

Linus Walleij <[email-masked]> writes:

> On Fri, Feb 13, 2015 at 12:59 AM, Robert Jarzmik <[email-masked]> wrote:
>
> But isn't the real problem that in the device tree case,
> irq_get_irq_data(ndev->irq) will work becaus parsing an interrupt
> from the device tree populates it correctly in platform_get_irq()
> whereas for the legacy lookup it just fetches the number.
>
> So to me it seems like a weakness in the platform_get_irq()
> helper altogether.
>
> Does the following work? (I can send as a separate patch for
> testing if you like).

Almost. If you replace :
> +    if (r->flags & IORESOURCE_BITS)
with:
> +    if (r && r->flags & IORESOURCE_BITS)

Then you can push a patch with my:
Tested-by: Robert Jarzmik <[email-masked]>

Now if you can make it in -rc2 or -rc3, this revert should be forgotten. But if
you can't make it for 3.20, I'll push for the revert.

So I think it's up to you now, and let's see what Gregh says about it.

Cheers.

--
Robert